Package Details: qemu-headless-arch-extra-git 3:v2.12.0.rc4.r0.g27e757e29c-1

Git Clone URL: https://aur.archlinux.org/qemu-git.git (read-only)
Package Base: qemu-git
Description: QEMU without GUI, for foreign architectures. Git version.
Upstream URL: http://wiki.qemu.org/
Keywords: kvm qemu
Licenses: GPL2, LGPL2.1
Conflicts: qemu-headless-arch-extra
Provides: qemu-headless-arch-extra
Submitter: None
Maintainer: FredBezies
Last Packager: FredBezies
Votes: 27
Popularity: 0.050443
First Submitted: 2009-09-19 20:02
Last Updated: 2018-04-18 12:43

Required by (3)

Sources (3)

Pinned Comments

FredBezies commented on 2017-07-22 15:21

July 22nd, 2017 : changed PKGVER. Now it is release version.r-number of commits since last-release.git revision.

It is simpler to understand. For example, on july 22nd in 2017; we can see since 2.9.0 release, 2514 commits had been made.

Latest Comments

FredBezies commented on 2018-03-15 10:27

@Linux2Brain :

https://wiki.archlinux.org/index.php/QEMU

"virtio

virtio-vga / virtio-gpu is a paravirtual 3D graphics driver based on virgl. Currently a work in progress, supporting only very recent (>= 4.4) Linux guests with mesa (>=11.2) compiled with the option --with-gallium-drivers=virgl.

To enable 3D acceleration on the guest system select this vga with -vga virtio and enable the opengl context in the display device with -display sdl,gl=on or -display gtk,gl=on for the sdl and gtk display output respectively."

Just try to look at this section in Archlinux wiki.

Linux2Brain commented on 2018-03-13 09:58

NB: HOW DO I GET NEWLINES IN COMMENTS? \n, \r\n or <br> don't work.

@FredBezies: since packages were built successfully, I installed them manually from /tmp/yaourt... and it worked.

After reboot I tried virgl in a knoppix live-iso (native window, not via vnc or spice), but it doesn't seem to work:

knoppix@Microknoppix:~$ dmesg|grep drm

[ 4.524009] [drm] pci: virtio-vga detected at 0000:00:02.0

[ 4.524231] [drm] virgl 3d acceleration not supported by host

[ 4.529853] [drm] number of scanouts: 1

[ 4.529858] [drm] number of cap sets: 0

[ 4.555031] virtio_gpu virtio0: fb0: virtiodrmfb frame buffer device

[ 4.572203] [drm] Initialized virtio_gpu 0.0.1 0 for virtio0 on minor 0

glxinfo | grep OpenGL gives:

knoppix@Microknoppix:~$ glxinfo | grep OpenGL

OpenGL vendor string: VMware, Inc.

OpenGL renderer string: llvmpipe (LLVM 5.0, 256 bits)

OpenGL core profile version string: 3.3 (Core Profile) Mesa 17.2.0

OpenGL core profile shading language version string: 3.30

OpenGL core profile context flags: (none)

OpenGL core profile profile mask: core profile

OpenGL core profile extensions:

OpenGL version string: 3.0 Mesa 17.2.0

OpenGL shading language version string: 1.30

OpenGL context flags: (none)

OpenGL extensions:

OpenGL ES profile version string: OpenGL ES 3.0 Mesa 17.2.0

OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00

OpenGL ES profile extensions:

FredBezies commented on 2018-03-13 09:23

@linux2brain: or use an AUR wrapper which supports split packages.

See https://wiki.archlinux.org/index.php/AUR_helpers#Comparison_table

Just try a fully green line :)

Linux2Brain commented on 2018-03-13 09:20

@FredBezies: ...so manual install from sources directly ?

FredBezies commented on 2018-03-13 09:18

@linux2brain: just don't use any AUR wrapper which automatically install this split package like yaourt.

It will work better.

Linux2Brain commented on 2018-03-13 09:16

Hi, is it still not possible to just build qemu-git without qemu-headless-git being pulled in and install failing with the error message about conflicting each other? ::

==> Beendete Erstellung: qemu-git 3:v2.11.0.r2282.gfb5fff1588-1 (Di 13. Mär 09:56:36 CET 2018)

==> Räume auf...

==> Mit der Installation von qemu-git fortfahren? [J/n]

==> [I]nhalte des Pakets ansehen [P]aket mit Namcap überprüfen

==> ----------------------------------------------------------

Lade Pakete...

Löse Abhängigkeiten auf...

Suche nach in Konflikt stehenden Paketen...

Fehler: Nicht auflösbare Paketkonflikte gefunden

Fehler: Konnte den Vorgang nicht vorbereiten (In Konflikt stehende Abhängigkeiten)

:: qemu-headless-git und qemu-git stehen miteinander in Konflikt

CYB3R commented on 2017-09-16 12:31

Hi! Is it possible to only build qemu-headless-git and qemu-headless-arch-extra-git without having to install things like pulseaudio, sdl, vte, etc?

FredBezies commented on 2017-07-22 15:21

July 22nd, 2017 : changed PKGVER. Now it is release version.r-number of commits since last-release.git revision.

It is simpler to understand. For example, on july 22nd in 2017; we can see since 2.9.0 release, 2514 commits had been made.

FredBezies commented on 2017-07-08 12:24

You have to build then install packages. You can them install either qemu-git or qemu-headless-git this way.

WeenieHut commented on 2017-07-08 12:17

loading packages...
resolving dependencies...
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: qemu-headless-git and qemu-git are in conflict
==> WARNING: Failed to install built package(s).

Still getting error with the latest version. How do I install only one or the other?

All comments